function happy = adb_duplicateshift(sad,sd)

%finds duplicate points within a map, offsets the second occurrence
%by normally-distributed amounts with equal SD in all dimensions.
%
% Code written by Andrew D Bard, 2015, for Liewe et al, PloS one, 2015.
% Contact: andrew.bard@kcl.ac.uk, andrew.lowe@kcl.ac.uk

if nargin<2
    sd = 10^-6;
end

[~,uniqs,~] = unique(sad,'rows','first');

%get indices of repeated rows
reps = 1:size(sad,1);
reps(uniqs(:))=[];

%set up output map
happy = sad;

%offset repeated points according to normal distribution in both directions
happy(reps,:) = normrnd(sad(reps,:),sd);

%if it doesn't work, try again
if size(unique(happy,'rows'),2)<size(happy,2)
    happy = adb_duplicateshift(sad,sd)
end

end

