function LGNcells = asl_load_and_realign_columns(LGNcells, exclude_list, view_col)

num_col = length(LGNcells);

for l=1:num_col
    if isempty(find(l==exclude_list))
        xyz=LGNcells(l).LGNxyz;
        if exist('view_col','var')
            fig1 = figure;
            [LGNcells(l).angle_xz, LGNcells(l).percentile_col_xz] = asl_fit_line(xyz,1);
            [LGNcells(l).angle_yz, LGNcells(l).percentile_col_yz] = asl_fit_line(xyz,2);
        else
            [LGNcells(l).angle_xz, LGNcells(l).percentile_col_xz] = asl_fit_line(xyz,1,1);
            [LGNcells(l).angle_yz, LGNcells(l).percentile_col_yz] = asl_fit_line(xyz,2,1);
        end
        temp = asl_rotate_coords(xyz,2, LGNcells(l).angle_xz, LGNcells(l).percentile_col_xz(1,:).');
        LGNcells(l).LGNcxyz = asl_rotate_coords(temp,1, LGNcells(l).angle_yz, LGNcells(l).percentile_col_yz(1,:).');
        if exist('view_col','var')
            subplot(2,2,1);plot(LGNcells(l).LGNxyz(:,1),LGNcells(l).LGNxyz(:,2),'x'); title(num2str(l));
            xlim([0,2000]);ylim([500,2000]);zlim([0,2000])
            axis square ij
            subplot(2,2,2);plot(LGNcells(l).LGNcxyz(:,1),LGNcells(l).LGNcxyz(:,2),'x');
            xlim([0,2000]);ylim([500,2000]);zlim([0,2000])
            axis square ij
            h = uicontrol('Position', [20 200 200 40], 'String', 'Continue', ...
                'Callback', 'uiresume(gcbf)');
            uiwait(gcf);
            close(fig1);
        end
    end
end
end


function [ang, percent_col] = asl_fit_line(xyz, code, silent)

% Calcs ang based on ends - derived from percentiles

% Pivot around centre of column - changed to start of column
%cen = mean(xyz).';

if code==1
    x=xyz(:,1);
    y=xyz(:,3);
    z=xyz(:,2);
end
if code==2
    x=xyz(:,2);
    y=xyz(:,3);
    z=xyz(:,1);
end
if code==3
    x=xyz(:,1);
    y=xyz(:,2);
    z=xyz(:,3);
end


[~, ind]=sort(y);
x=x(ind);
y=y(ind);
z=z(ind);

ind=round(0.1*size(y,1)); % 10th percentile

percent_col = zeros(10,3);
for loop=1:10
    percent_col(loop,:)=[mean(x((loop-1)*ind+1:min([ind*loop numel(x)]))) mean(y((loop-1)*ind+1:min([ind*loop numel(y)]))) mean(z((loop-1)*ind+1:min([ind*loop numel(z)])))];
end

if (atan((percent_col(10,2)-percent_col(1,2))/(percent_col(10,1)-percent_col(1,1))) < 0)
    ang = -pi/2-atan((percent_col(10,2)-percent_col(1,2))/(percent_col(10,1)-percent_col(1,1)));
else
    ang = pi/2-atan((percent_col(10,2)-percent_col(1,2))/(percent_col(10,1)-percent_col(1,1)));
end

% start and end of col based on 10th percentile
if code==1
    temp=percent_col;
    temp(:,2)=percent_col(:,3);
    temp(:,3)=percent_col(:,2);
    percent_col=temp;
end
if code==2
    temp=percent_col;
    temp(:,1)=percent_col(:,3);
    temp(:,2)=percent_col(:,1);
    temp(:,3)=percent_col(:,2);
    percent_col=temp;
end
if code==3
    %nothing to do - correct order.
end

if exist('silent','var')==0
    if code == 1
        subplot(2,2,3);
    else
        subplot(2,2,4);
    end
    
    plot(x,y,'x');hold on; plot([percent_col(1,1) percent_col(10,1)],[percent_col(1,2) percent_col(10,2)],'r');hold off
    
end

end
