function LGNcells = asl_make_centroid_projection_profile_map_final(name,LGNcells,LGNborders,exclude_list,code)


% Open figure

num_col = length(LGNcells);

for l=1:num_col
    if isempty(find(l==exclude_list))
        fig1=figure;
        % Plot collapsed column
        subplot(2,3,1);
        
        [S v] = alphavol(LGNborders,inf,1); hold on; view(0,-90);
        scatter3(LGNcells(l).LGNxyz(:,1),LGNcells(l).LGNxyz(:,2),ones(1,size(LGNcells(l).LGNxyz,1))*LGNcells(l).spline_col(1,1,1),10,'filled','r');
        if code==1 %wt
            xlim([0 1400])
            ylim([300,2000])
            zlim([200,2000])
            
        end
        if code == 2    %p6
            ylim([100,1200])
            xlim([0 1000])
            zlim([0,1400])
        end
        if code == 3 %P12
            xlim([0 1200])
            ylim([100,1400])
            zlim([0,1600])
        end
        title(['Raw data ',num2str(l)]);
        
        
        % Plot collapsed corrected column
        subplot(2,3,2);
        [S v] = alphavol(LGNborders,inf,1); hold on; view(0,-90);
        scatter3(LGNcells(l).collapsed_column(:,1)+LGNcells(l).spline_col(1,1),LGNcells(l).collapsed_column(:,2)++LGNcells(l).spline_col(1,2),ones(1,size(LGNcells(l).LGNxyz,1))*LGNcells(l).spline_col(1,1,1),10,'filled','r');
        if code==1 %wt
            xlim([0 1400])
            ylim([300,2000])
            zlim([200,2000])
            
        end
        if code == 2    %p6
            ylim([100,1200])
            xlim([0 1000])
            zlim([0,1400])
        end
        if code == 3 %P12
            xlim([0 1200])
            ylim([100,1400])
            zlim([0,1600])
        end
        title('Corrected column - a little meaningless');
        
        % Find centroid for all corrected cells
        
        subplot(2,3,3);
        [LGNcells(l).pca_gradients, LGNcells(l).pca_con] = asl_pca_column(LGNcells(l).collapsed_column(:,1:2),1);
        
        
        subplot(2,3,4:6);
        % Find length of col
                    d=0;
            for dl=2:size(LGNcells(l).spline_col,1)
                d=d+sqrt((LGNcells(l).spline_col(dl,1)-LGNcells(l).spline_col(dl-1,1))^2 +(LGNcells(l).spline_col(dl,2)-LGNcells(l).spline_col(dl-1,2))^2 +(LGNcells(l).spline_col(dl,3)-LGNcells(l).spline_col(dl-1,3))^2);
            end
            LGNcells(l).length_col=d;
        plot(0,max(LGNcells(l).collapsed_column(:,5)),'rX'); hold on;
        plot(LGNcells(l).length_col,max(LGNcells(l).collapsed_column(:,5)),'rX');
        plot(LGNcells(l).collapsed_column(:,4),LGNcells(l).collapsed_column(:,5),'bo');
        % filename and directory
        
        maximize;
        filename = [name,'_',num2str(l),'.jpg'];
        print('-djpeg','-r300', filename);
        close(fig1);
    end
end
end

