function normed_col = asl_produce_normalised_column(name,LGNcells,exclude_list)

num_col = length(LGNcells);
fig1 = figure;
subplot(3,1,1);
all_x =[];
all_y =[];
for l=1:num_col
    if isempty(find(l==exclude_list))
        x=LGNcells(l).collapsed_column(:,4)./LGNcells(l).length_col;
        y=LGNcells(l).collapsed_column(:,5);
        plot(x,y,'X'); hold on;
        all_x = [all_x; x(:)];
        all_y = [all_y; y(:)];
    end
end
xlim([-0.2 1.2]);
normed_col =[all_x, all_y];

subplot(3,1,2);
bins=0:0.05:1;
num_cells = hist(all_x,bins);
bar(bins,num_cells/(num_col-numel(exclude_list)));
xlim([-0.2 1.2])
title('Average number of cells/col');

subplot(3,1,3);
bins=-0.05:0.05:1.05;
mean_dist = zeros(numel(bins)-1,1);
std_dist = zeros(numel(bins)-1,1);
for l=2:numel(bins)
[m, list] = find(all_x>=bins(l-1) & all_x<=bins(l));
mean_dist(l-1)=mean(all_y(m));
std_dist(l-1)=std(all_y(m));
end
errorbar(bins(2:end)-(bins(2)-bins(1))/2,mean_dist,std_dist);
xlim([-0.2 1.2]);

title('Average distance per segment');


maximize;
filename = [name,'.jpg'];
print('-djpeg','-r300', filename);
close(fig1);
end
