function [map1] = asl_make_dLGN_plane_columns(LGNcells, col_ratio, exclude_list)

num_cells = numel(LGNcells);

x=[];y=[];z=[];
for l=1:numel(LGNcells)
    if numel(find(exclude_list==l))==0
        length_col = LGNcells(l).length_col*col_ratio;
        dist_col = 0;
        for p=2:size(LGNcells(l).spline_col,1)
            dist_col = [dist_col, dist_col(end) + sqrt((LGNcells(l).spline_col(p-1,1)-LGNcells(l).spline_col(p,1))^2 + (LGNcells(l).spline_col(p-1,2)-LGNcells(l).spline_col(p,2))^2 + (LGNcells(l).spline_col(p-1,3)-LGNcells(l).spline_col(p,3))^2)];
        end
        [col_pos] = find(dist_col>= length_col);
        if isempty(col_pos) col_pos = inf; end
        col_pos = max([1 col_pos(1)]); col_pos = min([size(LGNcells(l).spline_col,1) col_pos]);
        x=[x; LGNcells(l).spline_col(col_pos,1)];
        y=[y; LGNcells(l).spline_col(col_pos,2)];
        z=[z; LGNcells(l).spline_col(col_pos,3)];
    else
        num_cells=num_cells -1;
    end
end

%n=fitNormal([x,y,z])
C=planefit(x,y,z);
mx=mean(x); my=mean(y);
mz=C(1)*mx + C(2)*my + C(3);
nz=C(1)*x + C(2)*y + C(3);

n=fitNormal([x,y,nz]);
vec1=[mx,my,mz;mx+n(1)*1000,my+n(2)*1000,mz+n(3)*1000].';

[r] = asl_3D_transform([x,y,z],vec1);

x=r(:,1);y=r(:,2);

map1 = [x,y];

end

function [ncoords] = asl_3D_transform(coords,vec)

% transform reference space so col is z
s=vec(:,2)-vec(:,1);
w=s./norm(s);
a=cross(w,[0;0;1]);
v=a./norm(a);
u=cross(v,w);

M = [u(1),u(2),u(3),0;v(1),v(2),v(3),0;w(1),w(2),w(3),0;0,0,0,1];
T = [1,0,0,-vec(1,1);0,1,0,-vec(2,1);0,0,1,-vec(3,1);0,0,0,1];
iT = [1,0,0,vec(1,1);0,1,0,vec(2,1);0,0,1,vec(3,1);0,0,0,1];

ncoords = zeros(4,size(coords,1));
old_coords = ones(4,size(coords,1));
old_coords(1:3,:)=coords.';

for l=1:size(ncoords,2)
    if exist('zero_plane','var')==1
        ncoords(:,l) = (M*(T*old_coords(:,l)));
    else
        ncoords(:,l) = M*old_coords(:,l);
    end
end

ncoords=ncoords(1:3,:).';
end

